/* ---------------- NLSP specifics, overrides for the NASA.gov header ----------------- */
#ediHeader .hds-nasa-header {
    height: 90px;
}

#global-navigation .global-nav__primary-list.usa-nav__submenu-list>.usa-nav__submenu-item a,
#global-navigation .global-nav__secondary-list.usa-nav__submenu-list>.usa-nav__submenu-item a {
    color: #fff !important;
}

#global-navigation [class*="col"],
#ediHeader [class*="col"] {
    text-align: left !important;
}

#ediHeader .grid-item [class*="col"] {
    text-align: inherit !important;
}

#global-navigation .grid-row,
#ediHeader .grid-row {
    gap: 0 !important;
}

.white-space-nowrap {
    white-space: nowrap;
}

.divider {
    height: 1px;
    background-color: rgba(255, 255, 255, 0.2);
    margin: 0 0.5em;
}

.position-right {
    right: 0;
    left: unset
}

.position-left {
    left: 0;
    right: unset
}

.no-gap {
    gap: 0 !important;
}

.outline-none,
.outline-none:focus,
#nlsp-nav-container button,
#nlsp-nav-container a {
    outline: none !important;
    outline-offset: 0;
}

#nlsp-nav-container a,
#nlsp-nav-container a:hover {
    text-decoration: none;
}

#nlsp-nav-container a:hover {
    /* background-color: rgba(255, 255, 255, 0.1); */
}

/* Make NLSP navigation sticky at top */
#nlsp-nav-container.top-fixed {
    position: fixed;
    top: 0;
    width: 100vw;
    height: 85px;
    z-index: 99999;
}

#nlsp-nav-container .nlsp-app-name {
    font-family: Georgia, Garamond, serif;
    letter-spacing: 0.15em;
    font-weight: 700;
    margin-right: .25rem !important;
    margin-left: .25rem !important;
    /* margin-top: .35rem !important; */
}

#nlsp-nav-container .nlsp-app-site-internal-flag {
    font-size: 0.85em;
    font-weight: 700;
}

#nlsp-nav-container .nlsp-app-site-internal-flag .nlsp-internal-panel {
    margin-top: -10px;
    font-size: 1em;
}

#nlsp-nav-container .nlsp-app-site-internal-flag .nlsp-internal-panel i,
#nlsp-nav-container .nlsp-app-site-internal-flag .nlsp-internal-panel span {
    font-size: 0.85em;
    color: rgba(255, 255, 255, 0.5) !important;
}

#ediHeader .usa-input {
    padding: .5rem;
}

#dropdown-nav-section-nlsp-tools {
    /* width: 30em; */
    width: 300px;
}

#dropdown-nav-section-nlsp-tools .search-box-section {
    padding: 1em 1.3em 1em 1em;
    height: 60px;
}

#dropdown-nav-section-nlsp-tools .search-box-section input.hds-search-input {
    width: 100%;
    padding: 0.5em;
    color: white;
}

#dropdown-nav-section-nlsp-tools .app-launcher {
    margin: 0;
    padding: 0;
    overflow-y: auto;
    max-height: calc(100vh - 230px)
}

#dropdown-nav-section-nlsp-tools .app-launcher .grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 0.5em;
    padding-top: 0.5em;
    padding-bottom: 1em;
}

#dropdown-nav-section-nlsp-tools .app-launcher .grid-container a {
    display: flex;
    align-items: stretch;
    justify-content: center;
}

#dropdown-nav-section-nlsp-tools .app-launcher .grid-container a:hover {
    border-radius: 0.5em;
    /* outline: 1px solid gray !important; */
    outline: 1px solid rgba(255, 255, 255, 0.5) !important;
    outline-offset: 2px;
}

#dropdown-nav-section-nlsp-tools .app-launcher .grid-container a:hover .app .app-icon i,
#dropdown-nav-section-nlsp-tools .app-launcher .grid-container a:hover .app .app-title {
    color: rgba(255, 255, 255, 1);
    -webkit-text-fill-color: rgba(255, 255, 2551);
}

#dropdown-nav-section-nlsp-tools .app-launcher .app {
    width: 100%;
    text-align: center;
    z-index: 999;
    pointer-events: auto;
    border-radius: 1em;
    word-break: break-word;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    padding: 0.5em 0;
}

#dropdown-nav-section-nlsp-tools .app-launcher .app .app-icon {
    display: flex;
    align-items: center;
    height: 32px;
    /* width: 100%; */
    margin: auto;
    color: #0d6efd;
    font-size: 0.5em;
}

#dropdown-nav-section-nlsp-tools .app-launcher .app .app-icon i {
    color: rgba(255, 255, 255, 0.7);
    -webkit-text-fill-color: rgba(255, 255, 255, 0.7);
    font-size: 3em;
}

#dropdown-nav-section-nlsp-tools .app-launcher .app .app-title {
    font-weight: 500;
    color: rgba(255, 255, 255, 0.7);
    text-transform: uppercase;
    text-align: center;
    padding: 0;
    font-size: 0.6em;
    overflow: unset;
    margin-top: 0.5em;
}

#dropdown-nav-section-nlsp-tools .app-launcher .top-app.app .app-icon i {
    -webkit-text-fill-color: lightblue;
}

#dropdown-nav-section-nlsp-tools .app-launcher .top-app.app .app-title {
    color: lightblue;
}


@media all and (max-width:63.99em) {
    #nlsp-nav-container .usa-accordion {
        display: flex;
        flex-direction: column;
    }

    #nlsp-nav-container .usa-accordion>li {
        width: 100% !important;
    }

    #dropdown-nav-section-user,
    #dropdown-nav-section-nlsp-tools {
        width: 100% !important;
    }

    #dropdown-nav-section-nlsp-tools .app-launcher {
        max-height: calc(100vh - 500px)
    }
}
/* ---- */